• Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

How to migrate to java 5.0

 
prasad Venkat
Ranch Hand
Posts: 32
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
How to write tests, which identifies necessity of modify the program when migrating already written programs in java 1.4.2 to java 5.0
 
Rahul Bhattacharjee
Ranch Hand
Posts: 2308
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Java programs should be compatible.Programs running in JDK 1.4 should also run in JDK 5.0 .Is this what you have asked for ?
 
Ben Souther
Sheriff
Posts: 13411
Firefox Browser Redhat VI Editor
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Welcome to JavaRanch!

We're pleased to have you here with us in the servlets forum, but there
are a few rules that need to be followed, and one is that proper names are
required. Please take a look at the
JavaRanch Naming Policy and
adjust your display name to match it.

In particular, your display name must be a first and a last name separated by a space character, and must not be obviously fictitious.

You can change it here


Also, this is not a servlet specific question.
Moving to Java In General (Intermediate).
 
Stan James
(instanceof Sidekick)
Ranch Hand
Posts: 8791
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
I'd expect an easy transition from 1.4.x to 1.5.x. If you use an IDE like Eclipse you can set it to show (or not) new warnings for collections that aren't typed via Generics. You might also find a few things pick up deprecated warnings that didn't have them before, but I don't know any right off.
 
Jesper de Jong
Java Cowboy
Saloon Keeper
Posts: 15459
42
Android IntelliJ IDE Java Scala Spring
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic